type Promisable<T> = Promise<T> | T;
type Options = {
    depth?: number;
    limit?: number;
    followSymlinks?: boolean;
    ignore?: (targetPath: string) => boolean;
    signal?: {
        aborted: boolean;
    };
};
type ResultDirectory = {
    directories: string[];
    files: string[];
    symlinks: string[];
};
type ResultDirectories = {
    [path: string]: ResultDirectory;
};
type Result = ResultDirectory & {
    map: ResultDirectories;
};
export type { Promisable, Options, ResultDirectory, ResultDirectories, Result };
